Skip to main content
POST
JavaScript

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-ACCOUNT-ID
string

Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.

X-ENVIRONMENT-ID
string

Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).

Path Parameters

id
string
required

The unique identifier of the entity

Required string length: 1 - 255

Body

application/json

Attach a payment method from a billing integration to a customer.

vendorIdentifier
enum<string>
required

The vendor identifier of integration

Available options:
AUTH0,
ZUORA,
STRIPE,
HUBSPOT,
AWS_MARKETPLACE,
SNOWFLAKE,
SALESFORCE,
BIG_QUERY,
OPEN_FGA,
APP_STORE,
RECEIVED,
PREQUEL,
AIRWALLEX,
STRIPE_INVOICING
integrationId
string
required

Integration details

Maximum string length: 255
paymentMethodId
string
required

Billing provider payment method id

Maximum string length: 255
billingCurrency
enum<string> | null

Customers selected currency

Available options:
usd,
aed,
all,
amd,
ang,
aud,
awg,
azn,
bam,
bbd,
bdt,
bgn,
bif,
bmd,
bnd,
bsd,
bwp,
byn,
bzd,
brl,
cad,
cdf,
chf,
cny,
czk,
dkk,
dop,
dzd,
egp,
etb,
eur,
fjd,
gbp,
gel,
gip,
gmd,
gyd,
hkd,
hrk,
htg,
idr,
ils,
inr,
isk,
jmd,
jpy,
kes,
kgs,
khr,
kmf,
krw,
kyd,
kzt,
lbp,
lkr,
lrd,
lsl,
mad,
mdl,
mga,
mkd,
mmk,
mnt,
mop,
mro,
mvr,
mwk,
mxn,
myr,
mzn,
nad,
ngn,
nok,
npr,
nzd,
pgk,
php,
pkr,
pln,
qar,
ron,
rsd,
rub,
rwf,
sar,
sbd,
scr,
sek,
sgd,
sle,
sll,
sos,
szl,
thb,
tjs,
top,
try,
ttd,
tzs,
uah,
uzs,
vnd,
vuv,
wst,
xaf,
xcd,
yer,
zar,
zmw,
clp,
djf,
gnf,
ugx,
pyg,
xof,
xpf

Response

The customer object with attached payment method.

Response object

data
Customer · object
required

A customer can be either an organization or an individual